OracleDBHelper (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.db.biosql.OracleDBHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.db.biosql
Class OracleDBHelper

    java.lang.Object
      org.biojava.bio.seq.db.biosql.DBHelper
          org.biojava.bio.seq.db.biosql.OracleDBHelper

Deprecated. Use hibernate and org.biojavax.bio.db.*

    public class OracleDBHelper

extends DBHelper

This is a `DBHelper` that provides support for Oracle databases.

Author:
  Len Trigg, Eric Haugen, Richard Holland

Nested Class Summary

Nested classes/interfaces inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`DBHelper.BioSequenceStyle, DBHelper.DeleteStyle, DBHelper.JoinStyle`

Field Summary

Fields inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`BIOSEQUENCE_GENERIC, BIOSEQUENCE_ORACLECLOB, DELETE_GENERIC, DELETE_MYSQL4, DELETE_POSTGRESQL, JOIN_GENERIC, JOIN_ORACLE8`

Constructor Summary
`OracleDBHelper(Connection connection)` Deprecated.

Method Summary
`String` | `clobToString(Connection conn, ResultSet rs, int column)` Deprecated.
`boolean` | `containsTable(DataSource ds, String tablename)` Deprecated. Detects whether a particular table is present in the database.
`DBHelper.BioSequenceStyle` | `getBioSequenceStyle()` Deprecated. Returns the an object indicating the style of biosequence storage that this database should employ.
`int` | `getInsertID(Connection conn, String table, String columnName)` Deprecated. Returns the id value created during the last insert command.
`DBHelper.JoinStyle` | `getJoinStyle()` Deprecated. Returns the an object indicating the style of table joining that this database should employ.
`void` | `stringToClob(Connection conn, ResultSet rs, int column, String value)` Deprecated.

Methods inherited from class org.biojava.bio.seq.db.biosql.DBHelper
`getDBHelper, getDeleteStyle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OracleDBHelper

    public OracleDBHelper(Connection connection)

  Deprecated.

Method Detail

### getJoinStyle

    public DBHelper.JoinStyle getJoinStyle()

  Deprecated.
  Description copied from class: `DBHelper`
  Returns the an object indicating the style of table joining that this database should employ.

  Overrides:
    `getJoinStyle` in class `DBHelper`
  Returns:
    the preferred joining style.

### getInsertID

    public int getInsertID(Connection conn,
                           String table,
                           String columnName)
                    throws SQLException

  Deprecated.
  Description copied from class: `DBHelper`
  Returns the id value created during the last insert command. This is for tables that have an auto increment column.

  Specified by:
    `getInsertID` in class `DBHelper`
  Returns:
    the last id assigned, or -1 if the id could not be found.
  Throws:
    `SQLException`

### containsTable

    public boolean containsTable(DataSource ds,
                                 String tablename)

  Deprecated.
  Description copied from class: `DBHelper`
  Detects whether a particular table is present in the database.

  Overrides:
    `containsTable` in class `DBHelper`
  Parameters:
    `ds` - a `DataSource` that can provide a connection to a database
    `tablename` - the name of the table.
  Returns:
    true if the table exists in the database.

### getBioSequenceStyle

    public DBHelper.BioSequenceStyle getBioSequenceStyle()

  Deprecated.
  Description copied from class: `DBHelper`
  Returns the an object indicating the style of biosequence storage that this database should employ. Generally, leave it at the default unless you are using the Oracle schema, in which case you need to override it to return BIOSEQUENCE_ORACLECLOB. This is because, in the Oracle schema we need to use CLOBs (except when using Len Trigg's version which uses LONGs instead.)

  Overrides:
    `getBioSequenceStyle` in class `DBHelper`
  Returns:
    the preferred joining style.

### clobToString

    public String clobToString(Connection conn,
                               ResultSet rs,
                               int column)

  Deprecated.

### stringToClob

    public void stringToClob(Connection conn,
                             ResultSet rs,
                             int column,
                             String value)

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD